Skip to content
POST/{organizationId}/{mandateId}/finance/cash/transactions/rules

Create cash transaction rule

Creates a new cash transaction rule for a given mandate

Required permissions:

  • mandate.read

  • cashTransactionRule.insert

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

outcomestringrequired

Options:

postingReceiptdonationProposal

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/cash/transactions/rules
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/transactions/rules' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "matcher": {
    "typeMatch": "revenue"
  },
  "positions": [
    {
      "account": 1,
      "taxCode": "string",
      "costCenter1": 1,
      "costCenter2": 1,
      "share": 0
    }
  ],
  "outcome": "postingReceipt"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Response

200
{
  "_id": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}